# Code, Creatively.

C4 is a fast prototyping and creative-coding framework. It lets you build expressive user experiences and create works of art. C4 gives you the power of a native Swift iOS programming environment with a simplified interface that lets you get down to working with media right away. Build artworks, design interfaces, explore new possibilities of working with media and interaction.

## To The New Ones

Creating an expressive, intuitive mobile application is hard work. C4 makes this simple by letting you build projects that already deal with a lot of boring stuff. You get to start creating gorgeous elements faster and with more ease than tackling app development on your own.

C4 will help you learn how to make things move and interact in a very short amount of time. It is designed to look and feel like a simpler version of Swift, so that when you're ready to venture out on your own, the step from build C4 apps to native mobile applications for iOS is tiny.

## To The Crazy Ones

If you're already a developer and you know the ins and outs of developing for mobile platforms C4 still has a lot to offer you. First, C4 approaches animation and interaction in a synthetic way so that all its media objects are consistent and similar. If you want to learn from the way we build things the API is open. If you don't want to learn how we do things, but just get down to using the core API you can include a compiled C4 library in your own projects and take advantage of all the work we've been doing.


## How To Get Started

C4 is currently undergoing extensive modifications. We decided to switch the codebase entirely to Swift. We hadn't had a chance to update the documentation an examples, but we will do that soon. In the meantime clone the repository and start playing with it. Send us feedback and pull requests!

## Get Involved

The C4 community is just starting to grow. To get involved, we suggest the following

* **Start building!** Use the API, abuse it, do what you want with it.

* Contribute to the Q&A. Use the [C4 tag in StackOverflow](http://stackoverflow.com/questions/tagged/c4?sort=votes) or see the [StackOverflow tutorial](http://www.c4ios.com/tutorials/stackoverflow.php).

* Submit new issues. Go to the [C4iOS Issues page](https://github.com/C4Framework/C4iOS/issues) and start adding to it by posting new issues or suggesting fixes.


## License

C4 is available under the MIT license. See the LICENSE file for more info.
